X2Go Bug report logs - #365
Please add config option for "Eye Candy" regarding session icons

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Wed, 11 Dec 2013 14:33:03 UTC

Severity: wishlist

Tags: pending

Found in version 4.0.1.2

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Wed, 11 Dec 2013 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Dec 2013 14:33:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: Please add config option for "Eye Candy" regarding session icons
Date: Wed, 11 Dec 2013 15:27:23 +0100
Package: x2goclient
Severity: wishlist
Version: 4.0.1.2

The taskbar icon suddenly changes into the seal icon once the connection 
is established.
Please add a checkbox/config file entry to disable this.
I'm sure it will confuse users who have previously used published 
application mode and look for the "Accelerated X" icon that has just 
vanished.

NB: I'm kind of disappointed that we're adding silly eye candy when 
there still are serious bugs to fix.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Thu, 12 Dec 2013 01:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Ingegneri <n_ingegneri@yahoo.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 01:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 365@bugs.x2go.org (full text, mbox):

From: Nick Ingegneri <n_ingegneri@yahoo.com>
To: "365@bugs.x2go.org" <365@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Wed, 11 Dec 2013 17:44:54 -0800 (PST)
[Message part 1 (text/plain, inline)]
I agree that having the icon change when a connection is established is confusing to users. I'd like to see the tool be more consistent in the icon displayed; at the moment users have to juggle the no-machine icon, the accelerated X logo, and now the baby seal. The addition of the seal seems like a step away from consistency.

-Nick




On Wednesday, December 11, 2013 4:59 PM, Stefan Baur <newsgroups.mail2@stefanbaur.de> wrote:
 
Package: x2goclient
Severity: wishlist
Version: 4.0.1.2

The taskbar icon suddenly changes into the seal icon once the connection 
is established.
Please add a checkbox/config file entry to disable this.
I'm sure it will confuse users who have previously used published 
application mode and look for the "Accelerated X" icon that has just 
vanished.

NB: I'm kind of disappointed that we're adding silly eye candy when 
there still are serious bugs to fix.
_______________________________________________
X2Go-Dev mailing list
X2Go-Dev@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Thu, 12 Dec 2013 22:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 22:03:01 GMT) Full text and rfc822 format available.

Message #15 received at 365@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nick Ingegneri <n_ingegneri@yahoo.com>, 365@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#365: Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Thu, 12 Dec 2013 21:52:52 +0000
[Message part 1 (text/plain, inline)]
Hi Nick, hi Stefan,

On  Do 12 Dez 2013 02:44:54 CET, Nick Ingegneri wrote:

> On Wednesday, December 11, 2013 4:59 PM, Stefan Baur  
> <newsgroups.mail2@stefanbaur.de> wrote:
>
> Package: x2goclient
> Severity: wishlist
> Version: 4.0.1.2
>
> The taskbar icon suddenly changes into the seal icon once the connection
> is established.
> Please add a checkbox/config file entry to disable this.
> I'm sure it will confuse users who have previously used published
> application mode and look for the "Accelerated X" icon that has just
> vanished.
>
> NB: I'm kind of disappointed that we're adding silly eye candy when
> there still are serious bugs to fix.

> I agree that having the icon change when a connection is established  
> is confusing to users. I'd like to see the tool be more consistent  
> in the icon displayed; at the moment users have to juggle the  
> no-machine icon, the accelerated X logo, and now the baby seal. The  
> addition of the seal seems like a step away from consistency.

We will add session profile config options to handle bubbles and icon changes.

@Ricardo (who provided those patches): do you think you can add those  
config options / switches? If not, I will take a look.

However, we release 4.0.1.2 the coming weekend. So, this will be a job  
for 4.0.1.3.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Mon, 20 Jan 2014 17:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 17:15:02 GMT) Full text and rfc822 format available.

Message #20 received at 365@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 365@bugs.x2go.org, Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, "x2go-dev@lists.berlios.de" <x2go-dev@lists.berlios.de>
Subject: Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Mon, 20 Jan 2014 18:06:17 +0100
Hi List & hi Bugwatchers,

Mike#1 and I discussed the following approach via phone today:

- x2goclient gets a new commandline option --keep-icon
- when this commandline option is set, the taskbar icon will not change 
upon successful connect (global setting)
- a new configfile option "keep-icon=true/false" will be added
- when this configfile option is set, the taskbar icon will not change 
upon successful connect (per-session setting)
- this change will be implemented for 4.0.1.3
- a config option/checkbox for it will be added with a later release.

- Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Wed, 22 Jan 2014 08:10:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 Jan 2014 08:10:03 GMT) Full text and rfc822 format available.

Message #25 received at 365@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 365@bugs.x2go.org, Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
Subject: Re: Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Wed, 22 Jan 2014 08:08:18 +0000
[Message part 1 (text/plain, inline)]
On  Mo 20 Jan 2014 18:06:17 CET, Stefan Baur wrote:

> Hi List & hi Bugwatchers,
>
> Mike#1 and I discussed the following approach via phone today:
>
> - x2goclient gets a new commandline option --keep-icon
> - when this commandline option is set, the taskbar icon will not  
> change upon successful connect (global setting)
> - a new configfile option "keep-icon=true/false" will be added
> - when this configfile option is set, the taskbar icon will not  
> change upon successful connect (per-session setting)
> - this change will be implemented for 4.0.1.3
> - a config option/checkbox for it will be added with a later release.
>
> - Stefan

Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13 has  
just been released (to get the audio issue off the table).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Wed, 22 Jan 2014 08:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 22 Jan 2014 08:20:01 GMT) Full text and rfc822 format available.

Message #30 received at 365@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 365@bugs.x2go.org, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Subject: Re: [X2Go-Dev] Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Wed, 22 Jan 2014 08:15:27 +0000
[Message part 1 (text/plain, inline)]
On  Mi 22 Jan 2014 09:08:18 CET, Mike Gabriel wrote:

> On  Mo 20 Jan 2014 18:06:17 CET, Stefan Baur wrote:
>
>> Hi List & hi Bugwatchers,
>>
>> Mike#1 and I discussed the following approach via phone today:
>>
>> - x2goclient gets a new commandline option --keep-icon
>> - when this commandline option is set, the taskbar icon will not  
>> change upon successful connect (global setting)
>> - a new configfile option "keep-icon=true/false" will be added
>> - when this configfile option is set, the taskbar icon will not  
>> change upon successful connect (per-session setting)
>> - this change will be implemented for 4.0.1.3
>> - a config option/checkbox for it will be added with a later release.
>>
>> - Stefan
>
> Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13 has  
> just been released (to get the audio issue off the table).

Typo, of course... targetting for 4.0.1.4 (not .14).

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#365; Package x2goclient. (Mon, 27 Jan 2014 08:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to abdullahbinnasser12@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 08:20:02 GMT) Full text and rfc822 format available.

Message #35 received at 365@bugs.x2go.org (full text, mbox):

From: Qatar Foundation <jeco98@singnet.com.sg>
To: info@qatarmail.com
Subject: To Whom It May Concern
Date: Mon, 27 Jan 2014 15:54:08 +0800 (SGT)
To Whom It May Concern.

This is to inform you that you have emerge as one of the selected persons to receive the donation fund for individuals,business,educational and personal development and self empowerment aid from the Qatar Foundation, held in Doha, Qatar. Please contact the person of Dr. Abdullah Bin Nasser for more information on how to receive your fund.

Dr. Abdullah Bin Nasser
Email: abdullahbinnasser12@gmail.com

On behalf of the Qatar Foundation, we say congratulations to you.

Sincerely,
Mrs. Naseeha Sajjad.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#365; Package x2goclient. (Fri, 06 Jun 2014 18:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 06 Jun 2014 18:05:03 GMT) Full text and rfc822 format available.

Message #40 received at 365@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 365@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#365: Please add config option for "Eye Candy" regarding session icons
Date: Fri, 06 Jun 2014 19:57:58 +0200
Am 22.01.2014 09:15, schrieb Mike Gabriel:
>>> - x2goclient gets a new commandline option --keep-icon
>>> - when this commandline option is set, the taskbar icon will not
>>> change upon successful connect (global setting)
>>> - a new configfile option "keep-icon=true/false" will be added
>>> - when this configfile option is set, the taskbar icon will not
>>> change upon successful connect (per-session setting)
>>> - this change will be implemented for 4.0.1.3
>>> - a config option/checkbox for it will be added with a later release.
>> Targetting this for X2Go Client 4.0.1.14 (and 4.0.2.0). 4.0.1.13 has
>> just been released (to get the audio issue off the table).
> Typo, of course... targetting for 4.0.1.4 (not .14).
> Mike

I just checked as I'm wondering if 4.0.2.0 is ready to be unleashed upon
my customers, and it seems 4.0.2.0 does not understand the commandline
parameter "--keep-icon".

Is there any chance we can get that feature - keeping the generic
"Accellerated X" icon in the taskbar when --keep-icon is specified on
the command line - implemented/working in the near future?

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#365; Package x2goclient. (Sat, 07 Jun 2014 14:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 07 Jun 2014 14:15:01 GMT) Full text and rfc822 format available.

Message #45 received at 365@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 365-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 365@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 7 Jun 2014 16:11:45 +0200 (CEST)
tag #365 pending
fixed #365 4.0.2.1
thanks

Hello,

X2Go issue #365 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=b1246af

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b1246af262afde6a986a864a3c9049132012a1fa
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 7 16:10:46 2014 +0200

    New command line option (--keep-trayicon). With that options set, we force X2Go client to only use the default "accelerated X" as system tray icon (and prohibit usage of the session's icon as tray icon). (Fixes: #365).

diff --git a/debian/changelog b/debian/changelog
index 9a52ac0..0a94946 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,10 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
+    - New command line option (--keep-trayicon). With that options set,
+      we force X2Go client to only use the default "accelerated X" as
+      system tray icon (and prohibit usage of the session's icon as
+      tray icon). (Fixes: #365).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 14:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Jun 2014 14:15:02 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#365. (Sat, 07 Jun 2014 14:15:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#365; Package x2goclient. (Sat, 12 Jul 2014 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 06:45:03 GMT) Full text and rfc822 format available.

Message #57 received at 365@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 365-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 365@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 12 Jul 2014 08:41:41 +0200 (CEST)
close #365
thanks

Hello,

we are very hopeful that X2Go issue #365 reported by you
has been resolved in the new release (4.0.2.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=6d9114eb5f414f34962f8b14f58e5d469acd1574;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.1-0x2go1
Status: RELEASE
Date: Fri, 11 Jul 2014 12:23:59 +0200
Fixes: 235 364 365 421 478 498 502 514 528
Changes: 
 x2goclient (4.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
     - New command line option (--keep-trayicon). With that options set,
       we force X2Go client to only use the default "accelerated X" as
       system tray icon (and prohibit usage of the session's icon as
       tray icon). (Fixes: #365).
     - Provide more meaningful messages on SSH errors (host pub key not
       found, export pub key not found, authorized_keys file not found).
       For SSHd startup failures provide different messages on Windows
       and non-Windows machines. (Fixes: #235).
       FIXME: add detection code to report SSH daemon startup failures.
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
     - Update COPYING file (to update FSF address).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 .
   [ Clemens Lang ]
   * New upstream version (4.0.2.1):
     - Re-add Info.plist file (which got removed by accident in commit 91cf6c6).
       (Fixes: #502).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
     - Hide GSSAPI options on direct RDP connections. (Fixes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
     - Add command line option "close-disconnect", which make client close after
       session is disconnected.
     - Don't start pulse on Windows, until we really have to start a session
       that requires pulse support.
     - Check if sound is activated before starting pulse.
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.
       (Cygwin openssl was also individually updated to 1.0.1h-1 in
       4.0.2.0+build4.) This also includes migrating from libjpeg to
       libjpeg-turbo, which reduces CPU usage of nxproxy.)
     - Windows: Download and compile nx-libs-lite from the release tarball,
       rather than from git, so that the patches are actually applied
     - Windows: nx-libs-lite updated from 3.5.0.22 to 3.5.0.27
       (linked against aforementioned cygwin package versions)
     - Windows: Win32 OpenSSL updated from 1.0.1g to 1.0.1h, which fixes the 6
       CVEs announced on 2014-06-05.
       (Win32 OpenSSL was also updated to 1.0.1h in 4.0.2.0+build3.)
     - Windows: VcXsrv (XP Compatible) updated from 1.14.3.1 to 1.14.3.2.
       Fixes CVE-2014-0209, CVE-2014-0210, and CVE-2014-0211
       (VcXsrv was also updated to 1.14.3.2 in 4.0.2.0+build2.)
     - Windows: Switch from regular NSIS 2.46 to Unicode NSIS 2.46.5
       (Fixes: #528)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 12 Jul 2014 06:45:14 GMT) Full text and rfc822 format available.

Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Sat, 12 Jul 2014 06:45:14 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#365. (Sat, 12 Jul 2014 06:45:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 10 Aug 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 23:17:24 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.